# $Revision: 1.11 $, $Date: 2004/04/11 00:54:36 $
Summary:	GNU Regular Expression Library
Summary(pl):	Biblioteka wyrae regularnych GNU
Name:		rx
Version:	1.5
Release:	1
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.gnu.org/pub/gnu/rx/%{name}-%{version}.tar.gz
# Source0-md5:	e44e5f6ff9fd8ca9d46bda42bcacee5e
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Regular Expression Library.

%description -l pl
Biblioteka wyrae regularnych GNU.

%prep
#%setup -q
# workaround for tar (some paths contain `..', use -P)
%setup -qcT
tar xz -P -f %{SOURCE0} -C ..

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
cd rx
%{__autoconf}
cd ..
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_prefix},%{_infodir}}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

install doc/rx.info $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc ANNOUNCE BUILDING COOKOFF
%{_libdir}/librx.a
%{_includedir}/rxposix.h
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rx.spec,v $
Revision 1.11  2004/04/11 00:54:36  qboosh
- tar workaround

Revision 1.10  2004/04/11 00:39:12  qboosh
- refresh config.sub, lib64 fix

Revision 1.9  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.8  2003/05/28 13:01:43  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:26:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/01/27 17:18:19  qboosh
- original URL, fixed pl description
- cleanups, moved info page where it should be

Revision 1.5  2002/11/30 23:00:27  juandon
- new %%doc

Revision 1.4  2002/02/23 04:32:22  kloczek
- adapterized.

Revision 1.3  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:14:51  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/11/10 16:13:25  djrzulf
- PLDized
- adapterized
